package dacSketches.ejbDynamicBinding.ejb.common;

import java.text.SimpleDateFormat;
import java.util.Date;


public class SimpleTrace
{
	private	String timestampFormat = "yyyy.MM.dd HH:mm:ss:SSS zzz";
	private SimpleDateFormat formatter = null;

	protected SimpleTrace() {}

	protected void log( String name, String method, String message )
	{
		if (null == formatter)
		{
			formatter = new SimpleDateFormat( timestampFormat );
		}

		Date date = new Date();
		String dtg = formatter.format( date );

		System.out.println( dtg + " " + name + "." + method + "() - " + message );
	}
}

